Subject: Re: What's cooking in git.git (Apr 2012, #08; Fri, 20)

From: Johannes Sixt <[email-masked]>
Date: Sun, 22 Apr 2012 17:07:15 +0200

Am 21.04.2012 02:06, schrieb Junio C Hamano:
> * th/difftool-diffall (2012-04-14) 8 commits
>   - difftool: print list of valid tools with '--tool-help'
>   - difftool: teach difftool to handle directory diffs
>   - difftool: eliminate setup_environment function
>   - difftool: stop appending '.exe' to git
>   - difftool: remove explicit change of PATH
>   - difftool: exit(0) when usage is printed
>   - difftool: add '--no-gui' option
>   - difftool: parse options using Getopt::Long
> 
> Rolls the two-directory-diff logic from diffall script (in contrib/) into
> "git difftool" framework.

This does not pass test 33 (the last one) on Windows:

+++ git difftool --dir-diff --extcmd ls branch
Use of uninitialized value in length at d:/Src/mingw-git/git-difftool line 55.
Use of uninitialized value in length at d:/Src/mingw-git/git-difftool line 55.
exiting now at d:/Src/mingw-git/git-difftool line 120.
usage: git diff [--no-index] <path> <path>
diff --raw --no-abbrev -z branch: command returned error: 129

("exiting now" is a debugging "warn" call that I inserted)

I don't know what's going on. One possibility is that an old Git.pm is
being used, because I haven't 'make install' yet.

I'm not going to look into this, but I can run tests if you tell me what
to do.

-- Hannes